> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/qing-qiu-he-xiang-ying-shi-li.md).

# 请求和响应示例

## Payout - 电子钱包

{% tabs %}
{% tab title="请求示例" %}

```javascript
curl --location 'https://payout.codapayments.com/payouts' \
--header 'X-API-Key: [Test_API_Key]' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXJ0bmVyX2lkIjoicGFyX3NnMTg3MzI2ZjA4ZjB3cmtyMTA2IiwiaWF0IjoxNjgyNDIzNDg2fQ.bMYzPS5SIQz1w7zULOk_1h41atq_yFEH6UUkXZvJkSU' \
--header 'Content-Type: application/json' \
--data '{
  "payout_method": {
    "type": "wallet",
    "payment_method": "vodafone_cash",
    "beneficiary": {
      "name": "Test Name",
      "payout_method_details": {
        "phone_number": "01041164340",
      }
    }
  },
  "amount": {
    "value": "10.10",
    "currency_code": "EGP"
  },
  "country_code": "EG",
  "purpose": "salaries",
  "reference": "reference",
  "request_id": "request_id"
}'
```

{% endtab %}

{% tab title="响应示例" %}

```javascript
{
   "purpose": "SALARIES",
   "reference": "reference",
   "id": "MDAwLjAuMTY4MDAxMjM3MC4xMw==",
   "payout_method": {
       "type": "wallet",
       "payment_method": "vodafone_cash",
       "beneficiary_details": {
           "name": "Test Name"
       }
   },
   "amount": {
       "value": 10.1,
       "currency_code": "EGP"
   },
   "country_code": "EG",
   "request_id": "request_id",
   "created_at": 1680012370
}
```

{% endtab %}
{% endtabs %}

## Payout - 银行转账

{% tabs %}
{% tab title="请求示例" %}

```javascript
curl --location 'https://payout.codapayments.com/payouts' \
--header 'X-API-Key: [Test_API_Key]' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJwYXJ0bmVyX2lkIjoiMTIzNDU2Nzg5MCJ9.C7P8eXc2U66zFztQnUQEZX0aSLumKC2TjMGroBC80IE' \
--header 'Content-Type: application/json' \
--data '{
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "bank_transfer",
    "beneficiary": {
      "name": "Test Name",
      "payout_method_details": {
        "account_currency": "EGP",
        "account_name": "Test Name",
        "account_number": "34343545",
        "iban": "EG829299835700000000001111111",
        "swift_code": "DEIBEGCX016"
      }
    }
  },
  "amount": {
    "value": "10.100"
  },
  "country_code": "EG",
  "purpose": "salaries",
  "reference": "reference",
  "request_id": "request_id"
}'
```

{% endtab %}

{% tab title="响应示例" %}

<pre class="language-javascript"><code class="lang-javascript"><strong>{
</strong>   "purpose": "SALARIES",
   "reference": "reference",
   "id": "MDAwLjAuMTY4MDAxMjIzNC4xMQ==",
   "payout_method": {
       "type": "bank_transfer",
       "payment_method": "bank_transfer",
       "beneficiary_details": {
           "name": "Test Name"
       }
   },
   "amount": {
       "value": 10.1,
       "currency_code": "EGP"
   },
   "country_code": "EG",
   "request_id": "request_id",
   "created_at": 1680012234
}
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/qing-qiu-he-xiang-ying-shi-li.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
